Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Enum CallFactoryStreamType

    java.lang.Object
      java.lang.Enum<CallFactoryStreamType>
          umontreal.iro.lecuyer.contactcenters.msk.model.CallFactoryStreamType

All Implemented Interfaces:
  Serializable, Comparable<CallFactoryStreamType>

    public enum CallFactoryStreamType

extends Enum<CallFactoryStreamType>

Types of random streams for call factories.

Enum Constant Summary
`BALKTEST` Random stream for immediate abandonment.
`PATIENCE` Random stream for patience time, for contacts not abandoning immediately.
`SERVICE` Random stream for service time.

Method Summary
`static CallFactoryStreamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CallFactoryStreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BALKTEST

    public static final CallFactoryStreamType BALKTEST

  Random stream for immediate abandonment.

### PATIENCE

    public static final CallFactoryStreamType PATIENCE

  Random stream for patience time, for contacts not abandoning immediately.

### SERVICE

    public static final CallFactoryStreamType SERVICE

  Random stream for service time.

Method Detail

### values

    public static CallFactoryStreamType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CallFactoryStreamType c : CallFactoryStreamType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CallFactoryStreamType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.